extends Node

@export var health_scene: PackedScene
@export var spawn_radius: int = 5

func _on_timer_timeout() -> void:
	var health = health_scene.instantiate()
	var rand_x = randf_range(-spawn_radius, spawn_radius)
	var rand_y = randf_range(-spawn_radius, spawn_radius)

	health.position = Vector3(rand_x, 0, rand_y)
	add_child(health)
